description

# SqlDatabase class Null safety

Annotations
  - @SupportedBrowser(SupportedBrowser.CHROME)
  - @SupportedBrowser(SupportedBrowser.SAFARI)
  - @Native("Database")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
version → String?
  read-only

## Methods

changeVersion(String oldVersion, String newVersion) → Future<SqlTransaction>
  Atomically update the database version to `newVersion`, asynchronously running `callback` on the SqlTransaction representing this changeVersion transaction. [...]
  @JSName('changeVersion')
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
readTransaction() → Future<SqlTransaction>
  @JSName('readTransaction')
toString() → String
  Returns a string representation of this object.
  inherited
transaction(SqlTransactionCallback callback, [SqlTransactionErrorCallback? errorCallback, VoidCallback? successCallback]) → void
transaction_future() → Future<SqlTransaction>
  @JSName('transaction')

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks if this type is supported on the current platform.
  read-only